<?php
include 'header.php';
include 'menu.php';

$current = $request->get('type', 'index');
$title = $current == 'index' ? $menu->title : '邀请码列表 ';
?>

<div class="main">
    <div class="body container">
        <div class="typecho-page-title">
            <h2><?=$title?></h2>
        </div>
        <div class="row typecho-page-main" role="main">
            <div class="col-mb-12">
                <ul class="typecho-option-tabs fix-tabs clearfix">
                    <li<?=($current == 'index' ? ' class="current"' : '')?>><a href="<?php $options->adminUrl('extending.php?panel=' . InvitationCode_Plugin::$panel); ?>"><?php _e('邀请码生成'); ?></a></li>
                    <li<?=($current == 'list' ? ' class="current"' : '')?>><a href="<?php $options->adminUrl('extending.php?panel=' . InvitationCode_Plugin::$panel . '&type=list'); ?>">
                            <?php _e('邀请码列表'); ?>
                        </a></li>
                    <li><a href="<?php $options->adminUrl('options-plugin.php?config=InvitationCode') ?>"><?php _e('插件设置'); ?></a></li>
                </ul>
            </div>

            <?php if ($current == 'index'): ?>
                <div class="typecho-edit-theme">
                    <div class="col-mb-12 col-tb-8 col-9 content">
                        <?php Typecho_Widget::widget('InvitationCode_Console')->generateCodeForm()->render(); ?>
                    </div>
                </div>
            <?php else:
                Typecho_Widget::widget('InvitationCode_Console')->to($files);
                ?>
                <div class="typecho-edit-theme">
                    <div class="col-mb-12 col-tb-8 col-9 content">

                        <table>
                            <thead>
                            <tr>
                                <th width="100">序号</th>
                                <th>邀请码</th>
                                <th width="100">剩余次数</th>
                            </tr>
                            </thead>
                            <tbody>

                            <?php
                            $db= Typecho_Db::get();
                            $prefix = $db->getPrefix();
                            $query = $db->select('code','num')->from("{$prefix}invitation_code")
                                ->order('id',Typecho_Db::SORT_DESC);
                            $result = $db->fetchAll($query);
                            foreach($result as $k=>$v){
                                echo '
                            <tr align="center">
                                <td>'.($k+1).'</td>
                                <td>'.$v['code'].'</td>
                                <td>'.$v['num'].'</td>
                            </tr>';
                             };?>

                            </tbody>
                        </table>


                    </div>
                </div>
            <?php endif; ?>
        </div>
    </div>
</div>


<?php
include 'copyright.php';
include 'common-js.php';
include 'footer.php';
?>

